import pathlib

import setuptools

setuptools.setup(
    name="yamily",
    use_scm_version=True,
    packages=setuptools.find_packages(),
    description="Define family trees in YAML",
    long_description=pathlib.Path(__file__).parent.joinpath("README.md").read_text(),
    long_description_content_type="text/markdown",
    author="Fabian Peter Hammerle",
    author_email="fabian@hammerle.me",
    url="https://git.hammerle.me/fphammerle/yamily",
    # TODO license="GPLv3+",
    keywords=["ancestors", "family-tree", "genealogy", "plot", "visualize",],
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: End Users/Desktop",
        # "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Topic :: Database",
        "Topic :: Sociology :: Genealogy",
        "Topic :: Utilities",
    ],
    entry_points={"console_scripts": ["yamily-list = yamily._cli:_list"]},
    install_requires=[],
    extras_require={"yaml": ["PyYAML"],},
    setup_requires=["setuptools_scm"],
    tests_require=["pytest"],
)
